package com.ruoyi.common.core.domain.entity;

import com.ruoyi.common.annotation.Excel;

/**
 * PC用户映射实体
 *
 * @author gongzhenkun
 * @date 2022/11/15 15:31
 */
public class SysUserEX extends SysUser{
    /** 所属医院 */
    @Excel(name = "所属医院")
    private String hospitalName;

    /** 职称 */
    @Excel(name = "职称")
    private String title;

    /** 专长 */
    @Excel(name = "专长")
    private String speciality;

    /** 职业医师照片路径 */
    @Excel(name = "职业医师照片路径")
    private String medicalLicense;

    @Excel(name = "职业医师照片路径2")
    private String medicalLicense2;

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSpeciality() {
        return speciality;
    }

    public void setSpeciality(String speciality) {
        this.speciality = speciality;
    }

    public String getMedicalLicense() {
        return medicalLicense;
    }

    public void setMedicalLicense(String medicalLicense) {
        this.medicalLicense = medicalLicense;
    }

    public String getMedicalLicense2() {
        return medicalLicense2;
    }

    public void setMedicalLicense2(String medicalLicense2) {
        this.medicalLicense2 = medicalLicense2;
    }
}
