package com.ruoyi.system.domain.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * 患者新增时查询记录入参实体
 *
 * @author gongzhenkun
 * @date 2022/11/7 16:50
 */
@ApiModel(value = "AppPatientRecord", description = "患者新增时查询记录入参实体")
public class AppPatientRecord extends AppPatientHospitalDoctor{

    /**
     * 患者名称
     */
    @NotNull(message = "患者名称不为空")
    @ApiModelProperty("患者名称")
    private String name;


    /**
     * 手机号
     */
    @NotNull(message = "手机号不为空")
    @ApiModelProperty("手机号")
    private String phone;

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
