package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TImageHistory;

/**
 * 图片记录历史Mapper接口
 * 
 * @author ruoyi
 * @date 2022-09-13
 */
public interface TImageHistoryMapper 
{
    /**
     * 查询图片记录历史
     * 
     * @param id 图片记录历史主键
     * @return 图片记录历史
     */
    public TImageHistory selectTImageHistoryById(Long id);

    /**
     * 查询图片记录历史列表
     * 
     * @param tImageHistory 图片记录历史
     * @return 图片记录历史集合
     */
    public List<TImageHistory> selectTImageHistoryList(TImageHistory tImageHistory);

    /**
     * 新增图片记录历史
     * 
     * @param tImageHistory 图片记录历史
     * @return 结果
     */
    public int insertTImageHistory(TImageHistory tImageHistory);

    /**
     * 修改图片记录历史
     * 
     * @param tImageHistory 图片记录历史
     * @return 结果
     */
    public int updateTImageHistory(TImageHistory tImageHistory);

    /**
     * 删除图片记录历史
     * 
     * @param id 图片记录历史主键
     * @return 结果
     */
    public int deleteTImageHistoryById(Long id);

    /**
     * 批量删除图片记录历史
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTImageHistoryByIds(Long[] ids);
}
